---
name: Bug fix
about: Fix a known bug
title: "[BUG]"
labels: bug
assignees: ''

---

### Describe the bug
A clear and concise description of what the bug is.

### To Reproduce
Steps to reproduce the behavior:
1.
2.
3.
4.

### Expected behavior
A clear and concise description of what you expected to happen.

### Context (Environment)
 - Mava (and other package versions): result of `pip freeze > requirements.txt`
 - OS

Add any other context about the problem here.

### Proposal for a fix
A plan or brief overview of how the feature will be implemented.

### Definition of done
A precise outline for the feature to be considered fully implemented, i.e. done/complete.

### Mandatory checklist before making a PR
* [ ] The success criteria laid down in “Definition of done” are met.
* [ ] Code is documented - docstrings for methods and classes, static types for arguments.
* [ ] Code is tested - unit, integration and/or functional tests are added.
* [ ] Documentation is updated - README, CONTRIBUTING, or other documentation.
* [ ] All functional tests are green.
* [ ] Link experiment/benchmarking after implementation (optional).

<!-- Base checklist. Don’t hesitate to adapt it to your use-case. -->

### Links / references / screenshots
<!-- For ex: link to CI job, experiment runs, etc. -->
